## org.codehaus.groovy.ast
Interface GroovyClassVisitor

All Known Implementing Classes:
  AsmClassGenerator, ClassCodeExpressionTransformer, ClassCodeVisitorSupport, ClassCompletionVerifier, ClassGenerator, DummyClassGenerator, EnumVisitor, ExtendedVerifier, GenericsVisitor, JavaAwareResolveVisitor, LabelVerifier, ResolveVisitor, StaticImportVisitor, VariableScopeVisitor, Verifier

    public interface GroovyClassVisitor

An implementation of the visitor pattern for working with ASTNodes

Version:
  $Revision: 7922 $
Author:
  James Strachan

Method Summary
`void` `visitClass(ClassNode node)`
`void` `visitConstructor(ConstructorNode node)`
`void` `visitField(FieldNode node)`
`void` `visitMethod(MethodNode node)`
`void` `visitProperty(PropertyNode node)`

Method Detail

### visitClass

    void visitClass(ClassNode node)

### visitConstructor

    void visitConstructor(ConstructorNode node)

### visitMethod

    void visitMethod(MethodNode node)

### visitField

    void visitField(FieldNode node)

### visitProperty

    void visitProperty(PropertyNode node)

Copyright © 2003-2008 The Codehaus. All rights reserved.